Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.services
Class EntityNameFinderService

    java.lang.Object
      org.jasig.portal.services.EntityNameFinderService

    public class EntityNameFinderService

extends java.lang.Object

Version:
  $Revision: 1.10 $
Author:
  Dan Ellentuck

Field Summary
`private static boolean` | `initialized`
`private static org.apache.commons.logging.Log` | `log`
`private static EntityNameFinderService` | `m_instance`
`private java.util.Map` | `nameFinders`

Constructor Summary
`private` | `EntityNameFinderService()`

Method Summary
`IEntityNameFinder` | `getNameFinder(java.lang.Class type)`
`private java.util.Map` | `getNameFinders()`
`private void` | `initialize()` Gets all the entity types and tries to instantiate and cache a finder for each one.
`static EntityNameFinderService` | `instance()`
`private static boolean` | `isInitialized()`
`(package private) static void` | `setInitialized(boolean newInitialized)`
`static void` | `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### m_instance

    private static EntityNameFinderService m_instance

### nameFinders

    private java.util.Map nameFinders

### initialized

    private static boolean initialized

Constructor Detail

### EntityNameFinderService

    private EntityNameFinderService()

Method Detail

### getNameFinder

    public IEntityNameFinder getNameFinder(java.lang.Class type)
                                    throws GroupsException

  Returns:
    org.jasig.portal.groups.IEntityNameFinder
  Throws:
    `GroupsException`

### getNameFinders

    private java.util.Map getNameFinders()

  Returns:
    java.util.Map

### initialize

    private void initialize()

  Gets all the entity types and tries to instantiate and cache a finder for each one. There needn't be a finder for every entity type, so if there's no entry in the portal.properties, we just log the fact and continue.

### instance

    public static final EntityNameFinderService instance()

  Returns:
    EntityNameFinderService

### isInitialized

    private static boolean isInitialized()

  Returns:
    boolean

### setInitialized

    static void setInitialized(boolean newInitialized)

  Parameters:
    `newInitialized` - boolean

### start

    public static void start()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD